function Si=Entropy(S,N,E)
% Calculates the value of SI (max)
% The constraints are
% F1=N/S
% F2=E/S



beta=betaprox(S,N);     % Uses approximation to calculate beta from S and N
w=log(1/beta);         

Si = 1 + log(E/N) + w + 1/w;    % Expression for the entropy

