% This script plots the entropy SI as a function of one of the variables
% S,N,E,




% SI(S)


N=1000;
E=10000;
Smin=16;
Smax=N/exp(1);  % No solution of w for S/N > 1/e

figure('Name', 'S dependence');
fplot(@(x)Entropy(x,N,E),[Smin,Smax]);
xlabel('S');
ylabel('S_I');



% SI(N)

S=100;
E=10000;
Nmin=S*exp(1);
Nmax=E/5;


figure('Name', 'N dependence');
fplot(@(x)Entropy(S,x,E),[Nmin,Nmax])
xlabel('N');
ylabel('S_I');



% SI(E)

S=100;
N=1000;
Emin=N*5;
Emax=N*100;

figure('Name', 'E dependence');
fplot(@(x)Entropy(S,N,x),[Emin,Emax])
xlabel('E');
ylabel('S_I');


